<div class="row">
    {{#each notas}}
    <div class="col-md-3">
        <div class="card text-dark bg-light border-info mb-3">
            <div class="card-header">
                <h4 class="card-title d-flex justify-content-between aling-items-center">
                    {{titulo}}
                    <a href="/notes/edit:{{_id}}"><i class="fa-solid fa-pen-to-square"></i></a>
                    <a href="/notes/delete:{{_id}}"><i class="fa-solid fa-trash-can"></i></a>
                </h4>
            </div>
            <div class="card-body">
                <p>{{descripcion}}</p>
            </div>
        </div>
    </div>
    {{else}}
    <div class="card mx-auto">
        <div class="card-body">
            <h1>Hola {{ usuario.nombre }}</h1>
            <p class="lead">Sin notas.</p>
            <div class="d-grid gap-2">
                <a href="/notes/add" class="btn btn-success">¡Crear nota!</a>
            </div>
        </div>
    </div>
    {{/each}}
</div>
<div class="row">
    {{#if pages}}
    <nav class="mx-auto justify-content-end">
        <ul class="pagination justify-content-end">
            {{#equal current 1}}
            <li class="page-item disabled me-1">
                <a href="#" class="page-link">Inicio</a>
            </li>
            {{else}}
            <li class="page-item me-1">
                <a href="/notes/1" class="page-link">Inicio</a>
            </li>
            {{/equal}}

            {{#for current pages}}
            {{{this}}}
            {{/for}}

            {{#equal current pages}}
            <li class="page-item disabled me-1">
                <a href="#" class="page-link">Fin</a>
            </li>
            {{else}}
            <li class="page-item me-1">
                <a href="/notes/{{pages}}" class="page-link">Fin</a>
            </li>
            {{/equal}}
        </ul>
    </nav>
    {{/if}}
</div>
